Bug 1439291 - Azure metrics collection failing with "MonitoringServiceException"
Summary: Azure metrics collection failing with "MonitoringServiceException"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.7.3
Assignee: Daniel Berger
QA Contact: Nandini Chandra
URL:
Whiteboard: c&u:azure
Depends On: 1436393
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-05 15:33 UTC by Satoe Imaishi
Modified: 2020-09-10 10:25 UTC (History)
8 users (show)

Fixed In Version: 5.7.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1436393
Environment:
Last Closed: 2017-06-28 14:59:04 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 2 CFME Bot 2017-04-17 21:15:58 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/c0a331f32d8f22c51f03c38ceab6fa14e13801ed

commit c0a331f32d8f22c51f03c38ceab6fa14e13801ed
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Tue Apr 4 15:04:13 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Apr 17 17:10:30 2017 -0400

    Merge pull request #44 from djberg96/metrics_timeout
    
    Warn and bail on timeout when collecting metrics
    (cherry picked from commit 40249eb36cb5995e601723565d4ce60b0bace78a)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1439291

 app/models/manageiq/providers/azure/cloud_manager/metrics_capture.rb | 3 +++
 1 file changed, 3 insertions(+)

Comment 3 Nandini Chandra 2017-06-13 12:45:15 UTC
Verified that the code is present in 5.7.3.1 since this issue is hard to reproduce.

Comment 5 errata-xmlrpc 2017-06-28 14:59:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.